## javax.servlet
Class ServletReader

    java.lang.Object
      java.io.Reader
          javax.servlet.ServletReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, AsyncIOInputSource

    public abstract class ServletReader

extends java.io.Reader
implements AsyncIOInputSource

Since:
  Servlet 3.1

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`ServletReader()`

Method Summary

Methods inherited from class java.io.Reader
`close, mark, markSupported, read, read, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.AsyncIOInputSource
`dataAvailable, isFinished, isReady`

Constructor Detail

### ServletReader

    public ServletReader()

Copyright © 2012 GlassFish Community. All Rights Reserved.